RealRange (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.design.backend

## Class RealRange

- java.lang.Object
- - hlt.language.design.backend.RealRange

- All Implemented Interfaces:
    Container, RuntimeObject

      public class RealRange
      extends java.lang.Object
      implements RuntimeObject, Container

  This denotes a real range at runtime.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealRange()`
    `RealRange(double lo, double hi)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(double element)`
    `boolean` | `contains(int element)`
    `boolean` | `contains(java.lang.Object element)`
    `boolean` | `equals(java.lang.Object object)`
    `boolean` | `isEmpty()`
    `double` | `lb()`
    `java.lang.String` | `toString()`
    `double` | `ub()`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RealRange

          public RealRange()

    - #### RealRange

          public RealRange(double lo,
                   double hi)

  - ### Method Detail

    - #### isEmpty

          public final boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Container`

    - #### contains

          public final boolean contains(double element)

      Specified by:
        `contains` in interface `Container`

    - #### contains

          public final boolean contains(int element)

      Specified by:
        `contains` in interface `Container`

    - #### contains

          public final boolean contains(java.lang.Object element)

      Specified by:
        `contains` in interface `Container`

    - #### lb

          public final double lb()

    - #### ub

          public final double ub()

    - #### equals

          public final boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public final java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`